import button from './lib/lv-button';
import dialog from './lib/lv-dialog';
import row from './lib/lv-row';

const components = [
    button,
    dialog,
    row
];

// 导出全部
const install = function (Vue) {
    components.forEach(item => {
        Vue.component(item.name, item);
    })
}
export default install;

// 导出局部
components.forEach(item => {
    item.install = function(Vue) {
        Vue.component(item.name, item);
    }
})
export {
    button,
    dialog,
    row
}

